Bug 175058 - [maintainer update] games/py-mnemosyne: update to version 2.2
[maintainer update] games/py-mnemosyne: update to version 2.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 12:40 UTC by marekrud
Modified: 2013-01-10 19:26 UTC (History)
0 users

See Also:


Attachments
file.diff (19.12 KB, patch)
2013-01-06 12:40 UTC, marekrud
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marekrud 2013-01-06 12:40:00 UTC
Update of games/py-mnemosyne to version 2.2.

It's my very first update and I would be happy for a feedback on the quality of the patch.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-06 12:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2013-01-07 11:11:33 UTC
Responsible Changed
From-To: freebsd-python->rm

It doesn't fetching. Please check - looks like distname should be 
Mnemosyne-2.2a.tar.gz instead
Comment 3 marekrud 2013-01-07 21:05:43 UTC
Yes, there was a minor update and old files were deleted.


diff -ruN -x .git /usr/ports/games/py-mnemosyne/Makefile py-mnemosyne/Makefile
--- /usr/ports/games/py-mnemosyne/Makefile	2013-01-02 23:49:17.000000000 +0100
+++ py-mnemosyne/Makefile	2013-01-07 21:49:48.132544078 +0100
@@ -1,31 +1,27 @@
-# New ports collection makefile for: py-mnemosyne
-# Date created:		11 Jan 2008
-# Whom:			Beech Rintoul <beech@FreeBSD.org>
-#
-#
-# $FreeBSD: ports/games/py-mnemosyne/Makefile,v 1.21 2013/01/02 22:49:17 svnexp Exp $
-#
+# Created by: Beech Rintoul <beech@FreeBSD.org>
+# $FreeBSD: ports/games/py-mnemosyne/Makefile,v 1.20 2012/11/17 05:57:49 svnexp Exp $
 
 PORTNAME=	mnemosyne
-PORTVERSION=	1.2.2
-PORTREVISION=	3
+PORTVERSION=	2.2a
 CATEGORIES=	games python
-MASTER_SITES=	SF/${PORTNAME}-proj/${PORTNAME}/${PORTNAME:S/^m/M/}-${PORTVERSION}
+MASTER_SITES=	SF/mnemosyne-proj/${PORTNAME}/${PORTNAME}-2.2
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-EXTRACT_SUFX=	.tgz
+DISTNAME=	Mnemosyne-${PORTVERSION}
 
 MAINTAINER=	marekrud@gmail.com
-COMMENT=	Flash-card tool which optimises your learning process
+COMMENT=	Flash-card tool which optimizes your learning process
 
-RUN_DEPENDS=	py*-game>=0:${PORTSDIR}/devel/py-game \
-		py*-qt>=0:${PORTSDIR}/x11-toolkits/py-qt \
-		${PYXML}
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}qt4>=4.5:${PORTSDIR}/devel/py-qt4 \
+		${PYTHON_PKGNAMEPREFIX}matplotlib>=1.1.1:${PORTSDIR}/math/py-matplotlib \
+		${PYTHON_PKGNAMEPREFIX}cherrypy>=3.2:${PORTSDIR}/www/py-cherrypy
 
-USE_PYTHON=	2.5+
+USE_PYTHON=		2.5+
 USE_PYDISTUTILS=	easy_install
-PYEASYINSTALL_EGG=	Mnemosyne-${PORTVERSION}-${PYTHON_VERSION:S/thon//}${PYEASYINSTALL_OSARCH}.egg
+PYDISTUTILS_PKGNAME=	Mnemosyne
 
 post-install:
+	@cd ${WRKSRC}/mo && ${COPYTREE_SHARE} . ${PREFIX}/share/locale
+
 	@${MKDIR} ${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.desktop ${PREFIX}/share/applications
 	@${MKDIR} ${PREFIX}/share/icons
diff -ruN -x .git /usr/ports/games/py-mnemosyne/distinfo py-mnemosyne/distinfo
--- /usr/ports/games/py-mnemosyne/distinfo	2011-02-25 04:19:21.000000000 +0100
+++ py-mnemosyne/distinfo	2013-01-07 21:29:58.661671593 +0100
@@ -1,2 +1,2 @@
-SHA256 (mnemosyne-1.2.2.tgz) = 4a31281426dea4c14187783af4323499297980d26ccab6307267267953f88078
-SIZE (mnemosyne-1.2.2.tgz) = 1040914
+SHA256 (Mnemosyne-2.2a.tar.gz) = b06074645dd6ba6a4f9d95c299e5efcfe8dca018965fd6b151fe134101cabd83
+SIZE (Mnemosyne-2.2a.tar.gz) = 1214134
diff -ruN -x .git /usr/ports/games/py-mnemosyne/files/patch-setup.py py-mnemosyne/files/patch-setup.py
--- /usr/ports/games/py-mnemosyne/files/patch-setup.py	2008-09-12 09:16:11.000000000 +0200
+++ py-mnemosyne/files/patch-setup.py	2012-12-23 20:54:06.505725681 +0100
@@ -1,12 +1,30 @@
---- setup.py.orig	2008-08-23 08:05:54.000000000 -0800
-+++ setup.py	2008-09-11 20:19:12.000000000 -0800
-@@ -151,8 +151,7 @@
+--- setup.py.orig	2012-07-28 07:11:07.000000000 +0200
++++ setup.py	2012-12-23 20:52:55.564991943 +0100
+@@ -133,8 +133,7 @@
  else:
-     base_path = os.path.join(sys.exec_prefix, "lib", "python"+sys.version[:3],
+     base_path = os.path.join(sys.exec_prefix, "lib", "python" + sys.version[:3],
                               "site-packages","mnemosyne")
--    data_files = [('/usr/share/applications', ['mnemosyne.desktop']),
--                  ('/usr/share/icons', ['pixmaps/mnemosyne.png'])]
+-    data_files = [("/usr/share/applications", ["mnemosyne.desktop"]),
+-                  ("/usr/share/icons", ["pixmaps/mnemosyne.png"])]
 +    data_files = []
-   
+ # Translations.
+ if sys.platform == "win32":
+     for mo in [x for x in glob.glob(os.path.join("mo", "*")) \
+@@ -145,12 +144,6 @@
+             [os.path.join(mo, "LC_MESSAGES", "mnemosyne.mo")]))
+         data_files.append((os.path.join("share", "qt4", "translations"),
+             glob.glob(os.path.join("mnemosyne", "pyqt_ui", "qm", '*'))))
+-else:
+-    for mo in [x for x in glob.glob(os.path.join("mo", "*"))
+-               if os.path.isdir(x)]:
+-        data_files.append((os.path.join(sys.exec_prefix, "share", "locale",
+-            os.path.split(mo)[1], "LC_MESSAGES"),
+-            [os.path.join(mo, "LC_MESSAGES", "mnemosyne.mo")]))
+ 
  pixmap_path = os.path.join(base_path, "pixmaps")
- util_path   = os.path.join(base_path, "util")
+ util_path = os.path.join(base_path, "util")
+@@ -250,4 +243,3 @@
+       options = {"py2app": py2app_options, "py2exe": py2exe_options},
+       app = py2app_app
+ )
+-
diff -ruN -x .git /usr/ports/games/py-mnemosyne/pkg-plist py-mnemosyne/pkg-plist
--- /usr/ports/games/py-mnemosyne/pkg-plist	2010-09-18 17:58:03.000000000 +0200
+++ py-mnemosyne/pkg-plist	2013-01-07 21:52:16.741707184 +0100
@@ -1,179 +1,30 @@
 bin/mnemosyne
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/mnemosyne
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/exceptions.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/exceptions.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/exceptions.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_core.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_core.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_core.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_log.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_log.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_log.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/card_prop.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/card_prop.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/card_prop.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/clean_duplicates.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/clean_duplicates.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/clean_duplicates.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_XX.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_cs.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_da.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_de.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_eo.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_es.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_fa.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_fr.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_he.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_hu.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_it.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_ja.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_nb_no.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_nl.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_pl.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_pt_BR.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_tr.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_zh_CN.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_zh_HK.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_zh_SG.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_zh_TW.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_ar.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_ca.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_cs.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_de.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_es.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_fr.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_he.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_hu.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_it.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_ja.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_nb.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_pl.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_pt-br.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_ru.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_sk.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_zh-cn.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_zh-tw.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/message_boxes.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/message_boxes.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/message_boxes.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/plugin.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/plugin.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/plugin.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/qtextedit2.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/qtextedit2.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/qtextedit2.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/sound.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/sound.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/sound.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/version.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/version.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/version.pyo
+bin/mnemosyne-webserver
+%%PYTHON_SITELIBDIR%%/Mnemosyne-2.2a-py2.7.egg
 share/applications/mnemosyne.desktop
 share/icons/mnemosyne.png
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+share/locale/cs/LC_MESSAGES/mnemosyne.mo
+share/locale/da/LC_MESSAGES/mnemosyne.mo
+share/locale/de/LC_MESSAGES/mnemosyne.mo
+share/locale/eo/LC_MESSAGES/mnemosyne.mo
+share/locale/es/LC_MESSAGES/mnemosyne.mo
+share/locale/fa/LC_MESSAGES/mnemosyne.mo
+share/locale/fr/LC_MESSAGES/mnemosyne.mo
+share/locale/he/LC_MESSAGES/mnemosyne.mo
+share/locale/hr/LC_MESSAGES/mnemosyne.mo
+share/locale/hu/LC_MESSAGES/mnemosyne.mo
+share/locale/id/LC_MESSAGES/mnemosyne.mo
+share/locale/it/LC_MESSAGES/mnemosyne.mo
+share/locale/ja/LC_MESSAGES/mnemosyne.mo
+share/locale/nb/LC_MESSAGES/mnemosyne.mo
+share/locale/nl/LC_MESSAGES/mnemosyne.mo
+share/locale/pl/LC_MESSAGES/mnemosyne.mo
+share/locale/pt/LC_MESSAGES/mnemosyne.mo
+share/locale/pt_BR/LC_MESSAGES/mnemosyne.mo
+share/locale/ru/LC_MESSAGES/mnemosyne.mo
+share/locale/tr/LC_MESSAGES/mnemosyne.mo
+share/locale/zh_CN/LC_MESSAGES/mnemosyne.mo
+share/locale/zh_HK/LC_MESSAGES/mnemosyne.mo
+share/locale/zh_TW/LC_MESSAGES/mnemosyne.mo
 @dirrmtry share/icons
 @dirrmtry share/applications
Comment 4 marekrud 2013-01-07 23:13:19 UTC
Patch also available at: https://gist.github.com/4479392
Comment 5 dfilter freebsd_committer 2013-01-10 19:19:01 UTC
Author: rm
Date: Thu Jan 10 19:18:45 2013
New Revision: 310201
URL: http://svnweb.freebsd.org/changeset/ports/310201

Log:
  - update to 2.2a
  
  PR:		175058
  Submitted by:	Marek Rudnicki <marekrud@gmail.com> (maintainer)

Modified:
  head/games/py-mnemosyne/Makefile
  head/games/py-mnemosyne/distinfo
  head/games/py-mnemosyne/files/patch-setup.py
  head/games/py-mnemosyne/pkg-descr
  head/games/py-mnemosyne/pkg-plist

Modified: head/games/py-mnemosyne/Makefile
==============================================================================
--- head/games/py-mnemosyne/Makefile	Thu Jan 10 19:12:02 2013	(r310200)
+++ head/games/py-mnemosyne/Makefile	Thu Jan 10 19:18:45 2013	(r310201)
@@ -1,31 +1,26 @@
-# New ports collection makefile for: py-mnemosyne
-# Date created:		11 Jan 2008
-# Whom:			Beech Rintoul <beech@FreeBSD.org>
-#
-#
+# Created by: Beech Rintoul <beech@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	mnemosyne
-PORTVERSION=	1.2.2
-PORTREVISION=	3
+PORTVERSION=	2.2a
 CATEGORIES=	games python
-MASTER_SITES=	SF/${PORTNAME}-proj/${PORTNAME}/${PORTNAME:S/^m/M/}-${PORTVERSION}
+MASTER_SITES=	SF/mnemosyne-proj/${PORTNAME}/${PORTNAME}-2.2
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-EXTRACT_SUFX=	.tgz
+DISTNAME=	Mnemosyne-${DISTVERSION}
 
 MAINTAINER=	marekrud@gmail.com
 COMMENT=	Flash-card tool which optimises your learning process
 
-RUN_DEPENDS=	py*-game>=0:${PORTSDIR}/devel/py-game \
-		py*-qt>=0:${PORTSDIR}/x11-toolkits/py-qt \
-		${PYXML}
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}qt4>=4.5:${PORTSDIR}/devel/py-qt4 \
+		${PYTHON_PKGNAMEPREFIX}matplotlib>=1.1.1:${PORTSDIR}/math/py-matplotlib \
+		${PYTHON_PKGNAMEPREFIX}cherrypy>=3.2:${PORTSDIR}/www/py-cherrypy
 
-USE_PYTHON=	2.5+
+USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
-PYEASYINSTALL_EGG=	Mnemosyne-${PORTVERSION}-${PYTHON_VERSION:S/thon//}${PYEASYINSTALL_OSARCH}.egg
+PYDISTUTILS_PKGNAME=	Mnemosyne
 
 post-install:
+	@cd ${WRKSRC}/mo && ${COPYTREE_SHARE} . ${PREFIX}/share/locale
 	@${MKDIR} ${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.desktop ${PREFIX}/share/applications
 	@${MKDIR} ${PREFIX}/share/icons

Modified: head/games/py-mnemosyne/distinfo
==============================================================================
--- head/games/py-mnemosyne/distinfo	Thu Jan 10 19:12:02 2013	(r310200)
+++ head/games/py-mnemosyne/distinfo	Thu Jan 10 19:18:45 2013	(r310201)
@@ -1,2 +1,2 @@
-SHA256 (mnemosyne-1.2.2.tgz) = 4a31281426dea4c14187783af4323499297980d26ccab6307267267953f88078
-SIZE (mnemosyne-1.2.2.tgz) = 1040914
+SHA256 (Mnemosyne-2.2a.tar.gz) = b06074645dd6ba6a4f9d95c299e5efcfe8dca018965fd6b151fe134101cabd83
+SIZE (Mnemosyne-2.2a.tar.gz) = 1214134

Modified: head/games/py-mnemosyne/files/patch-setup.py
==============================================================================
--- head/games/py-mnemosyne/files/patch-setup.py	Thu Jan 10 19:12:02 2013	(r310200)
+++ head/games/py-mnemosyne/files/patch-setup.py	Thu Jan 10 19:18:45 2013	(r310201)
@@ -1,12 +1,30 @@
---- setup.py.orig	2008-08-23 08:05:54.000000000 -0800
-+++ setup.py	2008-09-11 20:19:12.000000000 -0800
-@@ -151,8 +151,7 @@
+--- setup.py.orig	2012-07-28 07:11:07.000000000 +0200
++++ setup.py	2012-12-23 20:52:55.564991943 +0100
+@@ -133,8 +133,7 @@
  else:
-     base_path = os.path.join(sys.exec_prefix, "lib", "python"+sys.version[:3],
+     base_path = os.path.join(sys.exec_prefix, "lib", "python" + sys.version[:3],
                               "site-packages","mnemosyne")
--    data_files = [('/usr/share/applications', ['mnemosyne.desktop']),
--                  ('/usr/share/icons', ['pixmaps/mnemosyne.png'])]
+-    data_files = [("/usr/share/applications", ["mnemosyne.desktop"]),
+-                  ("/usr/share/icons", ["pixmaps/mnemosyne.png"])]
 +    data_files = []
-   
+ # Translations.
+ if sys.platform == "win32":
+     for mo in [x for x in glob.glob(os.path.join("mo", "*")) \
+@@ -145,12 +144,6 @@
+             [os.path.join(mo, "LC_MESSAGES", "mnemosyne.mo")]))
+         data_files.append((os.path.join("share", "qt4", "translations"),
+             glob.glob(os.path.join("mnemosyne", "pyqt_ui", "qm", '*'))))
+-else:
+-    for mo in [x for x in glob.glob(os.path.join("mo", "*"))
+-               if os.path.isdir(x)]:
+-        data_files.append((os.path.join(sys.exec_prefix, "share", "locale",
+-            os.path.split(mo)[1], "LC_MESSAGES"),
+-            [os.path.join(mo, "LC_MESSAGES", "mnemosyne.mo")]))
+ 
  pixmap_path = os.path.join(base_path, "pixmaps")
- util_path   = os.path.join(base_path, "util")
+ util_path = os.path.join(base_path, "util")
+@@ -250,4 +243,3 @@
+       options = {"py2app": py2app_options, "py2exe": py2exe_options},
+       app = py2app_app
+ )
+-

Modified: head/games/py-mnemosyne/pkg-descr
==============================================================================
--- head/games/py-mnemosyne/pkg-descr	Thu Jan 10 19:12:02 2013	(r310200)
+++ head/games/py-mnemosyne/pkg-descr	Thu Jan 10 19:18:45 2013	(r310201)
@@ -1,5 +1,5 @@
-Mnemosyne resembles a traditional flash-card program but with an important 
-twist: it uses a sophisticated algorithm to schedule the best time for 
+Mnemosyne resembles a traditional flash-card program but with an important
+twist: it uses a sophisticated algorithm to schedule the best time for
 a card to come up for review.
 
 WWW: http://www.mnemosyne-proj.org/

Modified: head/games/py-mnemosyne/pkg-plist
==============================================================================
--- head/games/py-mnemosyne/pkg-plist	Thu Jan 10 19:12:02 2013	(r310200)
+++ head/games/py-mnemosyne/pkg-plist	Thu Jan 10 19:18:45 2013	(r310201)
@@ -1,179 +1,30 @@
 bin/mnemosyne
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts/mnemosyne
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/exceptions.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/exceptions.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/exceptions.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_core.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_core.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_core.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_log.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_log.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core/mnemosyne_log.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/about_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/activate_categories_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/add_items_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/card_prop.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/card_prop.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/card_prop.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/change_category_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/clean_duplicates.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/clean_duplicates.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/clean_duplicates.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/config_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_item_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/edit_items_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/export_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/import_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_XX.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_cs.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_da.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_de.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_eo.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_es.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_fa.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_fr.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_he.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_hu.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_it.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_ja.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_nb_no.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_nl.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_pl.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_pt_BR.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_tr.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_zh_CN.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_zh_HK.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_zh_SG.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/mnemosyne_zh_TW.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_ar.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_ca.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_cs.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_de.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_es.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_fr.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_he.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_hu.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_it.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_ja.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_nb.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_pl.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_pt-br.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_ru.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_sk.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_zh-cn.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale/qt_zh-tw.qm
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/main_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/message_boxes.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/message_boxes.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/message_boxes.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/plugin.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/plugin.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/plugin.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/preview_item_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/product_tour_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/qtextedit2.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/qtextedit2.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/qtextedit2.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/sound.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/sound.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/sound.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/statistics_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_dlg.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_dlg.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_dlg.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_frm.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_frm.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/tip_frm.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/version.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/version.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/version.pyo
+bin/mnemosyne-webserver
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
 share/applications/mnemosyne.desktop
 share/icons/mnemosyne.png
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui/locale
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/pyqt_ui
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne/core
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/mnemosyne
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/scripts
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+share/locale/cs/LC_MESSAGES/mnemosyne.mo
+share/locale/da/LC_MESSAGES/mnemosyne.mo
+share/locale/de/LC_MESSAGES/mnemosyne.mo
+share/locale/eo/LC_MESSAGES/mnemosyne.mo
+share/locale/es/LC_MESSAGES/mnemosyne.mo
+share/locale/fa/LC_MESSAGES/mnemosyne.mo
+share/locale/fr/LC_MESSAGES/mnemosyne.mo
+share/locale/he/LC_MESSAGES/mnemosyne.mo
+share/locale/hr/LC_MESSAGES/mnemosyne.mo
+share/locale/hu/LC_MESSAGES/mnemosyne.mo
+share/locale/id/LC_MESSAGES/mnemosyne.mo
+share/locale/it/LC_MESSAGES/mnemosyne.mo
+share/locale/ja/LC_MESSAGES/mnemosyne.mo
+share/locale/nb/LC_MESSAGES/mnemosyne.mo
+share/locale/nl/LC_MESSAGES/mnemosyne.mo
+share/locale/pl/LC_MESSAGES/mnemosyne.mo
+share/locale/pt/LC_MESSAGES/mnemosyne.mo
+share/locale/pt_BR/LC_MESSAGES/mnemosyne.mo
+share/locale/ru/LC_MESSAGES/mnemosyne.mo
+share/locale/tr/LC_MESSAGES/mnemosyne.mo
+share/locale/zh_CN/LC_MESSAGES/mnemosyne.mo
+share/locale/zh_HK/LC_MESSAGES/mnemosyne.mo
+share/locale/zh_TW/LC_MESSAGES/mnemosyne.mo
 @dirrmtry share/icons
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2013-01-10 19:26:13 UTC
State Changed
From-To: open->closed

Committed, thank you!